Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCylinderSource Class Reference

`#include <vtkCylinderSource.h>`

Inheritance diagram for vtkCylinderSource:

[legend]
Collaboration diagram for vtkCylinderSource:

[legend]
List of all members.

## Detailed Description

generate a cylinder centered at origin

Date:
  2002/09/03 12:52:23

Revision:
  1.44

vtkCylinderSource creates a polygonal cylinder centered at Center; The axis of the cylinder is aligned along the global y-axis. The height and radius of the cylinder can be specified, as well as the number of sides. It is also possible to control whether the cylinder is open-ended or capped.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (77%)
  - Lorensen, Bill (7%)
  - Geveci, Berk (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkCylinderSource.cxx)`
  - .`h` (`/Graphics/vtkCylinderSource.h)`

Examples:
  vtkCylinderSource (Examples)

Tests:
  vtkCylinderSource (Tests)

Definition at line 54 of file vtkCylinderSource.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetHeight (float)
virtual float | GetHeight ()
virtual void | SetRadius (float)
virtual float | GetRadius ()
virtual void | SetCenter (float, float, float)
virtual void | SetCenter (float[3])
virtual float * | GetCenter ()
virtual void | GetCenter (float data[3])
virtual void | SetResolution (int)
virtual int | GetResolution ()
virtual void | SetCapping (int)
virtual int | GetCapping ()
virtual void | CappingOn ()
virtual void | CappingOff ()
## Static Public Methods
vtkCylinderSource * | New ()
int | IsTypeOf (const char *type)
vtkCylinderSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCylinderSource (int res=6)
| ~vtkCylinderSource ()
void | Execute ()
## Protected Attributes
float | Height
float | Radius
float | Center [3]
int | Resolution
int | Capping

## Member Typedef Documentation

typedef vtkPolyDataSource vtkCylinderSource::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 58 of file vtkCylinderSource.h.

## Constructor & Destructor Documentation

vtkCylinderSource::vtkCylinderSource | ( | int | res = 6 | ) | `[protected]`

vtkCylinderSource::~vtkCylinderSource | ( |  | ) | `[inline, protected]`

| Definition at line 94 of file vtkCylinderSource.h.

## Member Function Documentation

vtkCylinderSource* vtkCylinderSource::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkCylinderSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkCylinderSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkCylinderSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkCylinderSource* vtkCylinderSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkCylinderSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

virtual void vtkCylinderSource::SetHeight | ( | float |  | ) | `[virtual]`

| Set the height of the cylinder.

virtual float vtkCylinderSource::GetHeight | ( |  | ) | `[virtual]`

| Set the height of the cylinder.

virtual void vtkCylinderSource::SetRadius | ( | float |  | ) | `[virtual]`

| Set the radius of the cylinder.

virtual float vtkCylinderSource::GetRadius | ( |  | ) | `[virtual]`

| Set the radius of the cylinder.

virtual void vtkCylinderSource::SetCenter | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get cylinder center

virtual void vtkCylinderSource::SetCenter | ( | float | [3] | ) | `[virtual]`

| Set/Get cylinder center

virtual float* vtkCylinderSource::GetCenter | ( |  | ) | `[virtual]`

| Set/Get cylinder center

virtual void vtkCylinderSource::GetCenter | ( | float | data[3] | ) | `[virtual]`

| Set/Get cylinder center

virtual void vtkCylinderSource::SetResolution | ( | int |  | ) | `[virtual]`

| Set the number of facets used to define cylinder.

virtual int vtkCylinderSource::GetResolution | ( |  | ) | `[virtual]`

| Set the number of facets used to define cylinder.

virtual void vtkCylinderSource::SetCapping | ( | int |  | ) | `[virtual]`

| Turn on/off whether to cap cylinder with polygons.

virtual int vtkCylinderSource::GetCapping | ( |  | ) | `[virtual]`

| Turn on/off whether to cap cylinder with polygons.

virtual void vtkCylinderSource::CappingOn | ( |  | ) | `[virtual]`

| Turn on/off whether to cap cylinder with polygons.

virtual void vtkCylinderSource::CappingOff | ( |  | ) | `[virtual]`

| Turn on/off whether to cap cylinder with polygons.

void vtkCylinderSource::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkCylinderSource::Height`[protected]`

| Definition at line 97 of file vtkCylinderSource.h.

float vtkCylinderSource::Radius`[protected]`

| Definition at line 98 of file vtkCylinderSource.h.

float vtkCylinderSource::Center[3]`[protected]`

| Definition at line 99 of file vtkCylinderSource.h.

int vtkCylinderSource::Resolution`[protected]`

| Definition at line 100 of file vtkCylinderSource.h.

int vtkCylinderSource::Capping`[protected]`

| Definition at line 101 of file vtkCylinderSource.h.

The documentation for this class was generated from the following file:

- Graphics/vtkCylinderSource.h